PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Typedefs
threadpool.h File Reference
`#include <ptlib/thread.h>`
`#include <ptlib/safecoll.h>`
`#include <map>`
`#include <queue>`
Include dependency graph for threadpool.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PThreadPoolBase
| These classes and templates implement a generic thread pooling mechanism. More...
class | PThreadPoolBase::WorkerThreadBase
class | PThreadPoolBase::InternalWorkBase
class | PThreadPool< Work_T >
| Low Level thread pool. More...
class | PThreadPool< Work_T >::WorkerThread
class | PThreadPool< Work_T >::InternalWork
struct | PThreadPool< Work_T >::GroupInfo
class | PQueuedThreadPool< Work_T >
| High Level (queued work item) thread pool. More...
class | PQueuedThreadPool< Work_T >::QueuedWorkerThread
class | PSafeWork
| A PThreadPool work item template that uses PSafePtr to execute callback function. More...
class | PSafeWorkNoArg< PtrClass, FuncRet >
| A PSafeWork thread pool item where call back has no arguments. More...
class | PSafeWorkArg1< PtrClass, Arg1Type, FuncRet >
| A PSafeWork thread pool item where call back has 1 argument. More...
class | PSafeWorkArg2< PtrClass, Arg1Type, Arg2Type, FuncRet >
| A PSafeWork thread pool item where call back has 2 arguments. More...
class | PSafeWorkArg3< PtrClass, Arg1Type, Arg2Type, Arg3Type, FuncRet >
| A PSafeWork thread pool item where call back has 3 arguments. More...

## Typedefs
typedef PQueuedThreadPool < PSafeWork > | PSafeThreadPool
| The thread pool for PSafeWork items. More...

## Typedef Documentation

typedef PQueuedThreadPool<PSafeWork> PSafeThreadPool

The thread pool for PSafeWork items.